server {
    listen 80;
    server_name gdlab.co.kr;
    return 301 https://$server_name$request_uri;
}
server {
    listen 443 ssl;
    server_name gdlab.co.kr;

    ssl_certificate /etc/nginx/ssl/gdlab.co.kr/gdlab.co.kr.pem;
    ssl_certificate_key /etc/nginx/ssl/gdlab.co.kr/gdlab.co.kr.private.key;
    ssl_protocols TLSv1.2 TLSv1.3;
    ssl_ciphers HIGH:!aNULL:!MD5;

    location / {
        proxy_pass https://192.168.0.10:4333;
        proxy_set_header Host $host;
        proxy_set_header X-Real-IP $remote_addr;
        proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
        proxy_set_header X-Forwarded-Proto $scheme;
        proxy_set_header X-Forwarded-Port $server_port;

        proxy_connect_timeout 20s;
        proxy_send_timeout 20s;
        proxy_read_timeout 20s;

        proxy_buffer_size 128k;
        proxy_buffers 4 256k;
        proxy_busy_buffers_size 256k;

        proxy_request_buffering off;
        proxy_buffering off;
	proxy_redirect off;
    }
}
